Skip to content
Browse API reference

Create or update multiple List Items

Request

POST https://api.castle.io/v1/lists/{list_id}/items/batch

Path parameters

list_idrequired
string

ID of the List

Request body

items
object[]

Response

201
object

Summary of processing results

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.